Documentation Index
Fetch the complete documentation index at: https://docs.xhuoapi.ai/llms.txt
Use this file to discover all available pages before exploring further.
Producer ermöglicht es uns, videos zu Songs herunterzuladen. Dieses Dokument erklärt die Integrationsmethoden der entsprechenden API.
Diese API hat nur einen Eingabeparameter, nämlich audio_id, der die eindeutige ID des Songs ist.
Hier geben wir die audio_id ein, die a54609c6-13e2-4176-be0f-4d7eebc68e1f ist, eine von Producer generierte Song-ID.
curl -X POST 'https://api.xhuoapi.ai/v1/producer/videos' \
-H 'accept: application/json' \
-H 'authorization: Bearer {token}' \
-H 'content-type: application/json' \
-d '{
"audio_id": "a54609c6-13e2-4176-be0f-4d7eebc68e1f"
}'
Das Ergebnis sieht wie folgt aus:
{
"success": true,
"task_id": "1237fc8f-ed3f-41fd-a889-a737fd7777da",
"trace_id": "19db6190-d9ef-4a4f-a102-9f51b611c8b5",
"data": {
"video_url": "https://storage.googleapis.com/corpusant-app-public/song-videos/a54609c6-13e2-4176-be0f-4d7eebc68e1f:5178f294b214798f7d38b810ac289be75306659be24af88900a633efce334012.mp4"
}
}
Man kann sehen, dass das Feld video_url in data der Download-Link des Videos ist.